<?
/***************************************************************************
 phpTrafficA @soft.ZoneO.net
 Copyright (C) 2004-2005 ZoneO-soft, S. Merkel (dude@zoneo.net)

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 More Info About The Licence At http://www.gnu.org/copyleft/gpl.html
****************************************************************************/
include("./phplot.php");
include("./".$file);

function hex2rgb($hex) {
   $color = str_replace('#','',$hex);
   $rgb = array(hexdec(substr($color,0,2)),
                hexdec(substr($color,2,2)),
                hexdec(substr($color,4,2)));
   return $rgb;
 } 

$dark = hex2rgb("#122C4D");
$dark = hex2rgb("#122C4D");
$maxYY = floor($maxY/100)*100+100;
$tickStep = floor($maxYY/4);

$pow = intval(log($maxY,10));
if ($maxY<2*pow(10,$pow)) {
	$tickStep = 2*pow(10,$pow-1);
} else if ($maxY<5*pow(10,$pow)) {
	$tickStep = 5*pow(10,$pow-1);
} else {
	$tickStep = pow(10,$pow);
}
if (!isset($yscale)) {
	$yscale=FALSE;
}
$graph = new PHPlot(500,200);
$graph->SetGridColor($dark);
$graph->SetLightGridColor($dark);
$graph->SetFont("x_label",2);
$graph->SetFont("y_label",2);
$graph->SetDataType("text-data");  //Must be called before SetDataValues
$graph->SetXDataLabelAngle(0);
$graph->SetVertTickIncrement($tickStep);
if ($yscale=="sqrt") {
	//$graph->setYGridLabelType("sqrt");
	$graph->SetYScaleType("sqrt");
}
$graph->SetXLabel("");
$graph->SetYLabel("");
$graph->SetDataValues($date_data);
$graph->SetColor($dark);
$graph->SetPlotType("$plottype");
$graph->SetDataColors( array( "red"), array( "black") );
$graph->DrawGraph();



?>
